Foreman - Bug #5419

Bad behavior when a host_group is in a location/organization that its parent is not
04/23/2014 09:21 PM - Anonymous

Status: New

Priority: Normal

Assignee:

Category: Organizations and Locations

Target version:

Difficulty: Fixed in Releases:

Triaged: Found in Releases: 1.4.2
Bugzilla link: Red Hat JIRA:

Pull request:

Description

| have locations/organizations enabled.

Let's say | create a host_group, foo. | don't add it to any location/organization. Then | add a child host_group, foo/bar. | add foo/bar to
a location/organization.

When | create a new host, select its location/organization (same as foo/bar) and then set the host_group to be foo/bar and submit.
Then | go back and try to edit the host, and it loads a page that says 'Host Not Found'.

Related issues:
Related to Foreman - Bug #1998: Nested hostgroup inheritance should be reflec... New 12/05/2012

History

#1 - 04/24/2014 08:01 AM - Dominic Cleal

- Category set to Organizations and Locations

#2 - 05/29/2015 08:11 AM - Dominic Cleal
- Related to Bug #1998: Nested hostgroup inheritance should be reflected on Location / Organization added

05/11/2024 1/1



http://www.tcpdf.org

